Show / Hide Table of Contents

# Interface IEnhancedPlugin

An enhanced version of a standard BeatSaber plugin.

##### Inherited Members

IPlugin.OnEnable()
IPlugin.OnApplicationQuit()
IPlugin.OnSceneLoaded(Scene, LoadSceneMode)
IPlugin.OnSceneUnloaded(Scene)
IPlugin.OnActiveSceneChanged(Scene, Scene)

###### Namespace: IPA

###### Assembly: IPA.Loader.dll

##### Syntax

    [Obsolete("Use the attribute-based system instead.")]
    public interface IEnhancedPlugin : IPlugin

### Methods

| Improve this Doc View Source

#### OnFixedUpdate()

Gets invoked on ever physics update.

##### Declaration

    void OnFixedUpdate()

| Improve this Doc View Source

#### OnLateUpdate()

Called after Update.

##### Declaration

    void OnLateUpdate()

| Improve this Doc View Source

#### OnUpdate()

Gets invoked on every graphic update.

##### Declaration

    void OnUpdate()

### Extension Methods

ReflectionUtil.SetField(Object, String, Object)
ReflectionUtil.SetField<T>(T, String, Object)
ReflectionUtil.GetField<T>(Object, String)
ReflectionUtil.SetProperty(Object, String, Object)
ReflectionUtil.SetProperty<T>(T, String, Object)
ReflectionUtil.InvokeMethod(Object, String, Object[])
ReflectionUtil.InvokeMethod<T>(T, String, Object[])
ReflectionUtil.InvokeMethod<T>(Object, String, Object[])
ReflectionUtil.InvokeMethod<T, U>(U, String, Object[])